Subject: Re: qdisc_enqueue, NET_XMIT_SUCCESS and kfree_skb (Was: Re: [PATCH take 2] net_sched: Add qdisc __NET_XMIT_BYPASS flag)

From: Jarek Poplawski <[email-masked]>
Date: Thu, 7 Aug 2008 12:23:03 +0000

On Thu, Aug 07, 2008 at 02:40:48PM +0300, Jussi Kivilinna wrote:
> Quoting "Jarek Poplawski" <[email-masked]>:
>
>>> PS. I noticed something fishy in HTB; HTB always returns NET_XMIT_DROP if
>>> qdisc_enqueue doesn't return full NET_XMIT_SUCCESS, shouldn't it  
>>> return return
>>> value from qdisc_enqueue. Same in HTB requeue. That can't be right, right?
>>>
>>
>> Yes, very good point, and quite hard to diagnose bug - happily solved
>> already (but not fixed yet) by David Miller himself.
>
> Ok, I assume that same case in sch_prio:requeue has been already spotted too.
>

Actually, I didn't hear about this!? After the HTB case David waits
for Patrick's audit, and this seems to get some time.

So, looks like another good point, and IMHO, you should send a patch
for for this.

Jarek P.